package com.example.demo.core.configuration;

// Класс для задания констант
public class Constants {
    // Имя последовательности
    public static final String SEQUENCE_NAME = "hibernate_sequence";

    // Размер страницы пагинации
    public static final int DEFAULT_PAGE_SIZE = 5;

    // URL для перенавправления на другую страницу
    public static final String REDIRECT_VIEW = "redirect:";

    // Префикс для URL-адресов админ-панели
    public static final String ADMIN_PREFIX = "/admin";

    // URL для входа в систему
    public static final String LOGIN_URL = "/login";

    // URL для выхода из системы
    public static final String LOGOUT_URL = "/logout";

    // Пароль по умолчанию
    public static final String DEFAULT_PASSWORD = "123456";

    private Constants() {
    }
}
