package com.example.demo.core.session;

import java.util.HashMap;

import com.example.demo.users.api.UserCartDto;

// Корзина покупок пользователя для текущей сессии
public class SessionCart extends HashMap<Integer, UserCartDto> {
    // Получить общую сумму корзины покупок пользователя
    public double getSum() {
        return this.values().stream()
                .map(item -> item.getCount() * item.getPrice())
                .mapToDouble(Double::doubleValue)
                .sum();
    }
}
