package com.example.demo.users.api;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;

// DTO для сущности "Пользователь"
public class UserDto {
    // Идентфикатор
    private Long id;

    // Имя/логин пользователя
    @NotBlank
    @Size(min = 3, max = 50)
    private String username;

    // Электронный адрес почты пользователя
    @NotBlank
    private String email;

    // Получить идентификатор
    public Long getId() {
        return id;
    }

    // Установить идентификатор
    public void setId(Long id) {
        this.id = id;
    }

    // Получить имя/логин пользователя
    public String getUsername() {
        return username;
    }

    // Установить имя/логин пользователя
    public void setUsername(String username) {
        this.username = username;
    }

    // Получить электронный адрес почты пользователя
    public String getEmail() {
        return email;
    }

    // Установить электронный адрес почты пользователя
    public void setEmail(String email) {
        this.email = email;
    }
}
